Version bump to v2.8.0.beta6 (PR #14228)

v2.8.0.beta5 can cause segfaults due to the oj gem v3.13.3.

GitHub